#!/usr/bin/env bash
binDir=`dirname $0`
. $binDir/setupCmdLine.sh
#declare -i verify=0
mode="ALL"
os="NON-WINDOWS"
sec="true"
save="true"
# hardcode props for now...used to be required
props="props"

for i in $*; do
 if [ "$1" == "-mode" ]; then
  mode=$2
  shift
 fi
 if [ "$1" == "-nosec" ]; then
  sec="false"
 fi
 if [ "$1" == "-nosave" ]; then
  save="false"
 fi
 shift
done

if [ "$props" != "" ]; then
 export CLASSPATH=${WAS_HOME}/lib/legacycell.jar
 java com.ibm.ws.legacycell.launcher.MirrorCell $WAS_HOME $mode $os $sec $save
else
 echo ""
 echo " Error: missing required arguments"
 echo ""
 echo " USAGE:"
 echo "    MirrorCell [-mode MODE] [-nosec] [-nosave]"
 echo ""
 echo " Required"
 echo "    PROPS"
 echo ""
 echo " Options"
 echo "    -nosec      Turns Off Encryption of User and Password"
 echo "    -nosave	   Changes Will Not Be Saves (Trial Mode)"
 echo ""
 echo " Where"
 echo "    MODE        PROPSGEN, DIFF, READ, WRITE, or ALL"
 echo "                 ALL if unspecified or invalid MODE"
 echo ""
 echo " Make sure you surround paths that contain a space in them with quotes to treat them literally"
 echo ""
 echo ""
fi

