
import sys

lineSep = java.lang.System.getProperty('line.separator')


def getWASHome(cell, node):
	varMap = AdminConfig.getid("/Cell:" + cell + "/Node:" + node + "/VariableMap:/")
	entries = AdminConfig.list("VariableSubstitutionEntry", varMap)
	eList = entries.split(lineSep)
	for entry in eList:
		name =  AdminConfig.showAttribute(entry, "symbolicName")
		if name == "WAS_INSTALL_ROOT":
			value = AdminConfig.showAttribute(entry, "value")
			return value
	#failover
	return java.lang.System.getenv('WAS_HOME')



def getFileSep(node): 
	os = AdminTask.getNodePlatformOS("-nodeName " + node)
	if os == 'windows':
		return '\\'
	else:
		return '/'





def uninstallScheduler(cell, node, server):
	try:
		print "Uninstalling LongRunningScheduler.ear"
		appListString = AdminApp.list("WebSphere:cell=" + cell + ",node=" + node + ",server=" + server)
                print appListString
		appList = appListString.splitlines()
		if "LongRunningScheduler" in appList:
			AdminApp.uninstall('LongRunningScheduler')
		else:	
			print "Scheduler is not installed. Still try anyway."
                        AdminApp.uninstall('LongRunningScheduler')
			return 1		
	except:
		print "Exception occurred during uninstallScheduler(" + cell +", " + node + ", " + server + "):", sys.exc_info()
		return 1
	return 1

def uninstallEndpoint(cell, node, server):
	try:
		print "Uninstalling GEE.ear"
		appListString = AdminApp.list("WebSphere:cell=" + cell + ",node=" + node + ",server=" + server)
		appList = appListString.splitlines()
		if "GEE" in appList:
			AdminApp.uninstall('GEE')
		else:	
			print "Endpoint is not installed. Still try anyway."
                        AdminApp.uninstall('GEE')
			return 1		
	except:
		print "Exception occurred during uninstallEndpoint(" + cell +", " + node + ", " + server + "):", sys.exc_info()
		return 1
	return 1


#------------------------------------------------------------------------------
# Main entry point
#------------------------------------------------------------------------------

cell = None
node = None
server = None

# Try to get a node, cell, and server from command-line arguments
i = 0
while i < len(sys.argv):
	if sys.argv[i] == "-server": 
		server = sys.argv[i + 1]
		i = i + 1
	elif sys.argv[i] == "-node":
		node = sys.argv[i + 1]
		i = i + 1	
	elif sys.argv[i] == "-cell":
		cell = sys.argv[i + 1]
		i = i + 1	
	i = i + 1

if cell == None:
	print "Please specify a cell with the \'-cell\' option when in disconnected mode"
elif node == None:
	print "Please specify a node with the \'-node\' option when in disconnected mode"
elif server == None:
	print "Please specify a server with the \'-server\' option."
else:
	print "Cell:  " + cell + ", Node:  " + node + ", Server:  " + server
	
if server != None and cell != None and node != None:
	retVal = uninstallScheduler(cell, node, server)
	if retVal == 1:
		retVal = uninstallEndpoint(cell, node, server)
	else:
		print "Skipping Endpoint Uninstall"
	if retVal == 1:
		AdminConfig.save()
	else:
		print "Skipping Config Save"
