-- Scriptfile to create a Derby database for the Parallel Job Manager. This script
-- can be modified if needed to change the name of database or name of the Schema used. Default
-- database name is PJM and default schema name is PJSCHEMA
-- The script will produce the Parallel Job Manager database in the directory 
-- from which it is invoked.
-- Process This script in the ij command line processor.  
-- Example  
--    java -Djava.ext.dirs=C:/WebSPhere/AppServer/derby/lib -Dij.protocol=jdbc:derby: org.apache.derby.tools.ij CreatePJMTablesDerby.ddl


CONNECT 'jdbc:derby:PJM;create=true';


CREATE SCHEMA PJSCHEMA;


-----------------------------------------------------------
-- DDL Statements for table "PJSCHEMA"."PARALLELJOBMANAGER"
-----------------------------------------------------------

 
 CREATE TABLE "PJSCHEMA"."PARALLELJOBMANAGER"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "STEPID" VARCHAR(50) NOT NULL ) ; 


-- DDL Statements for primary key on Table "PJSCHEMA"."PARALLELJOBMANAGER"

ALTER TABLE "PJSCHEMA"."PARALLELJOBMANAGER" 
	ADD CONSTRAINT "PK_PJM" PRIMARY KEY
		("JOBID",
		 "STEPID");



------------------------------------------------------
-- DDL Statements for table "PJSCHEMA"."SUBMITTEDJOBS"
------------------------------------------------------

 
CREATE TABLE "PJSCHEMA"."SUBMITTEDJOBS"  (
		  "JOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBID" VARCHAR(50) NOT NULL , 
		  "SUBMITTEDJOBSTATE" INTEGER NOT NULL , 
		  "SUBMITTEDJOBINPUT" VARCHAR(3814) , 
		  "SUBMITTEDJOBRESUBMIT" INTEGER NOT NULL ) ; 


-- DDL Statements for primary key on Table "PJSCHEMA"."SUBMITTEDJOBS"


ALTER TABLE "PJSCHEMA"."SUBMITTEDJOBS" 
	ADD CONSTRAINT "PK_SUBMITTEDJOBS" PRIMARY KEY
		("JOBID",
		 "SUBMITTEDJOBID");



--------------------------------------------------
-- DDL Statements for table "PJSCHEMA"."LOGICALTX"
--------------------------------------------------

 
 CREATE TABLE "PJSCHEMA"."LOGICALTX"  (
		  "LOGICALTXID" VARCHAR(50) NOT NULL , 
		  "LOGICALTXSTATE" INTEGER ) ; 



-- DDL Statements for primary key on Table "PJSCHEMA"."LOGICALTX"


ALTER TABLE "PJSCHEMA"."LOGICALTX" 
	ADD CONSTRAINT "PK_LOGICALTX" PRIMARY KEY
		("LOGICALTXID");





COMMIT WORK;

DISCONNECT;




